Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008072TestLinkAPI - XMLRPCpublic2017-09-07 09:222017-09-13 13:21
ReporterDierickxD71 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version 
Summary0008072: reportTCresult fails when plan is non-public and user access is "< inherited > rights"
DescriptionWhen calling "reportTCresult" API function, it reports that the user doesn't have sufficient rights, even though the user is full admin.
After searching, modifying params, checking with other projects and test plans we found that this occurs only in a VERY specific situation.
Steps To ReproduceSpecific situation that error occurs:
1) the test plan is active, but non-public
2) the user has active access rights to the project, e.g. "tester"
3) the user's access rights for the test plan are inherited, e.g. "< inherited > tester"

Workaround:
- put the test plan public, instead of non-public
Or:
- change the user's access rights for the test plan to "tester", instead of "< inherited > tester"
Additional Informationtestlink.testlinkerrors.TLResponseError: 2010: User corresponding to Developer Key has insufficient rights to perform this action- Details: right testplan_execute, test project id: 349638, test plan id: 414417
reportTCResult({'buildname': 'sprint 8', 'notes': '', 'testcaseid': '393680', 'status': 'f', 'testplanid': '414417', 'devKey': '8e31552d2da1cffffaff53a6a13c29ca'})
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0008065resolvedfman user rights at project level should be also considered 

-  Notes
(0026825)
fman (administrator)
2017-09-08 13:29

please get latest code from github, do fresh install, retest and provide feedback
(0026835)
fman (administrator)
2017-09-13 13:21

no more user feedback

- Issue History
Date Modified Username Field Change
2017-09-07 09:22 DierickxD71 New Issue
2017-09-08 13:29 fman Note Added: 0026825
2017-09-08 13:29 fman Assigned To => fman
2017-09-08 13:29 fman Status new => feedback
2017-09-09 11:13 fman Relationship added related to 0008065
2017-09-13 13:21 fman QA Team - Task Workflow Status => TBD
2017-09-13 13:21 fman Note Added: 0026835
2017-09-13 13:21 fman Status feedback => closed
2017-09-13 13:21 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker